﻿/********************************************************************************************************* 
     Author: Shawn N. Moore		
    Created: 2/14/2020
Description: Utility classes for City of Santa Rosa Applications general "template"  

Changes: 

**********************************************************************************************************/

/* Master Page Classes */

.round-upper-left {
    border-radius: 5px 0px 0px 0px;
}

.select-border-override {
    border: 1px solid #ced4da;
}

/* space around main page content */
.page-content-container {
    margin: 4px 4px 4px 0px;
}


/* globally update checkboxes so that they are bigger */
input[type=checkbox] {
    width: 1.1em;
    height: 1.1em;
}


/*.sticky-offset-toolbar {
    top: 54px;
}

.sticky-breadcrumb {
    top: 5px;
}
*/

/* Alert Colors */

.alert-color-lime {
    color: #0cb90a;
}


/* width classes to pre-reserve space for FA icons, especially in alerts (seems to work for 1.x sizes of fa icons) */
.icon-width-1x {
    width: 1em;
}

.icon-width-2x {
    width: 2em;
}


/* Utility classes */
/* half the amount of margin as mr-1 */
.mr-half {
    margin-right: 2px;
}

/* This useful in grids to allow controls to take on the initial bg color of the grid cell*/
.bg-initial {
    background-color: initial;
}


/*a highlight for items needing hover over visibility*/
.hover-highlight:hover {
    box-shadow: inset 0px 0px 10px rgba(255,255,0,1) !important;
}

/*a highlight for items needing hover over visibility*/
.hover-emphasis:hover {
    font-weight:bolder;
    filter: brightness(50%);
}

.text-smaller {
    font-size: 0.9rem;
}